Index: SPECS/glibc.spec
===================================================================
--- SPECS.orig/glibc.spec
+++ SPECS/glibc.spec
@@ -4,6 +4,7 @@
 %define glibc_release_tarballs 0
 %define glibcversion 2.5
 %define glibcrelease 10%{?dist}
+%define run_tests 1
 %define auxarches i586 i686 athlon sparcv9 alphaev6
 %define xenarches i686 athlon
 %ifarch %{xenarches}
@@ -1279,6 +1280,7 @@ ln -sf /%{_lib}/ld-linux-ia64.so.2 $RPM_
 %endif
 %endif
 
+%if %{run_tests}
 # Increase timeouts
 export TIMEOUTFACTOR=16
 parent=$$
@@ -1326,6 +1328,7 @@ readelf -Wr $RPM_BUILD_ROOT/%{_lib}/ld-*
 echo ====================PLT RELOCS LIBC.SO==============
 readelf -Wr $RPM_BUILD_ROOT/%{_lib}/libc-*.so | sed -n -e "$PLTCMD"
 echo ====================PLT RELOCS END==================
+%endif
 
 %if "%{_enable_debug_packages}" == "1"
 
